<template>
  <v-hover v-slot:default="{ hover }">
    <v-btn
      data-cy="btn-save"
      icon
      small
      @click="$emit('click')"
      class="edit-btn"
    >
      <v-icon small :color="hover ? 'blue lighten-1' : 'grey'">
        mdi-content-save-outline
      </v-icon>
    </v-btn>
  </v-hover>
</template>
